purescript-0.15.12: PureScript Programming Language Compiler

Safe Haskell | Safe-Inferred
Language | Haskell2010

Language.PureScript.CodeGen.JS.Printer

Description

Pretty printer for the JavaScript AST

Synopsis

- prettyPrintJS :: Module -> Text
- prettyPrintJSWithSourceMaps :: Module -> (Text, [SMap])

# Documentation

prettyPrintJS :: Module -> Text #

prettyPrintJSWithSourceMaps :: Module -> (Text, [SMap]) #

Generate a pretty-printed string representing a collection of JavaScript expressions at the same indentation level